---
# ---
# Apache2  Server
# ---

- name: Populate service facts
  ansible.builtin.service_facts:

# - name: Print service facts
#   ansible.builtin.debug:
#     var: ansible_facts.services
#   when:
#     - ansible_facts['services']['apache2.service']['name'] | default('not-found') != 'not-found'

- name: (apache2.yml) Ensure directory '/etc/systemd/system/apache2.service.d' is present
  ansible.builtin.file:
    path: /etc/systemd/system/apache2.service.d
    state: directory
    owner: root
    group: root
    mode: "0755"
  when:
    - ansible_facts['services']['apache2.service']['name'] | default('not-found') != 'not-found'

- name: (apache2.yml) Ensure file '/etc/systemd/system/apache2.service.d/limits.conf' exists
  ansible.builtin.copy:
    src: "etc/systemd/system/apache2.service.d/limits.conf"
    dest: "/etc/systemd/system/apache2.service.d/limits.conf"
    owner: root
    group: root
    mode: "0644"
  notify: "Restart apache2"
  when:
    - ansible_facts['services']['apache2.service']['name'] | default('not-found') != 'not-found'
